NE_HAS_SUPPORT(3)

NAME
ne_has_support - determine feature support status

SYNOPSIS

#include <ne_utils.h>

int ne_has_support(int feature);

DESCRIPTION

The ne_has_support function can be used to determine whether a particular optional feature, given by the feature code feature, is supported. The following feature codes are available:

NE_FEATURE_SSL
    Indicates support for SSL/TLS

NE_FEATURE_ZLIB
    Indicates support for compressed responses

NE_FEATURE_IPV6
    Indicates support for IPv6

NE_FEATURE_LFS
    Indicates support for large files

NE_FEATURE_SOCKS
    Indicates support for SOCKSv5

NE_FEATURE_TS_SSL
    Indicates support for thread-safe SSL initialization — see ne_sock_init

NE_FEATURE_GSSAPI
    Indicates support for Negotiate authentication via GSSAPI

NE_FEATURE_LIBPXY
    Indicates support for libproxy (in ne_session_system_proxy)

RETURN VALUE

ne_has_support returns non-zero if the given feature is supported, or zero otherwise.

HISTORY

The NE_FEATURE_GSSAPI and NE_FEATURE_LIBPXY constants are only available in neon 0.34.0 and later.

SEE ALSO

ne_version_match(3), ne_sock_init(3)

COPYRIGHT
Copyright © 2001-2025 Joe Orton